<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Artisan;

class SeedController extends Controller
{
    public function seed()
    {
        

        Artisan::call('db:seed', [
            '--class' => 'SettingsTableSeeder',
        ]);

        // Exécute le seeder DatabaseSeeder
        // Artisan::call('db:seed', [
        //     '--class' => 'DatabaseSeeder',
        // ]);

        // Exécute le seeder UsersTableSeeder
        Artisan::call('db:seed', [
            '--class' => 'UsersTableSeeder',
        ]);

        return redirect()->back()->with('success', 'Les seeders ont été exécutés avec succès.');
    }
}